> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pipeline Rate

> Get the pipeline rate based on plan and effective processing region.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/pipelines/{pipeline_id}/rate
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/pipelines/{pipeline_id}/rate:
    get:
      tags:
        - pipelines
      summary: Get Pipeline Rate
      description: Get the pipeline rate based on plan and effective processing region.
      operationId: get_pipeline_rate_api_v1_pipelines__pipeline_id__rate_get
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            title: Pipeline Id
        - name: processing_location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Processing Location
            description: >-
              Optional residency region override (e.g. us, eu). When provided,
              use file_url or direct-upload; multipart uploads are rejected.
              When omitted, the request uses the team's configured residency and
              profile.
          description: >-
            Optional residency region override (e.g. us, eu). When provided, use
            file_url or direct-upload; multipart uploads are rejected. When
            omitted, the request uses the team's configured residency and
            profile.
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````